//------------------------------------------------------------------------------
//	$Id: simpson1.js,v 1.2 2018/10/03 17:37:22 wolf Exp $
//------------------------------------------------------------------------------
//	This program is free software. It comes without any warranty, to
//	the extent permitted by applicable law. You can redistribute it
//	and/or modify it under the terms of the Do What The Fuck You Want
//	To Public License, Version 2, as published by Sam Hocevar. See
//	http://www.wtfpl.net/ for more details.
//------------------------------------------------------------------------------

/*jsl:option explicit*/
/*jsl:import simpson.js*/

SIMPSON.create ('simpson', {

	'tableName': 'Lehrergeh\xe4lter',

	'groupName': 'Gender',
	'functionName': 'Beruf',
	'valueName': 'Gehalt',

	'minCount': 0,
	'maxCount': 100,
	'minValue': 1,
	'maxValue': 8000,

	'groupFirst': true,
	'withRowSum': false,

	'labelCnt': 'Zahl',
	'labelSum': 'Gesamt',
	'labelAvg': 'Schnitt',
	'labelAllGroups': 'gesamt',
	'labelAllFunctions': 'Lehrer gesamt',

	'groups': [{
		'name': 'Frauen',
		'style': 'background-color: pink'
		}, {
		'name': 'M\xe4nner',
		'style': 'background-color: lightblue'
		}],
	'functions': [{
		'name':  'Grundschullehrer',
		'count': 50,
		'value': 1000
		}, {
		'name':  'Gymnasiallehrer',
		'count': 50,
		'value': 2000
		}],
	'digits': 2
});

//------------------------------------------------------------------------------
//	$Id: simpson1.js,v 1.2 2018/10/03 17:37:22 wolf Exp $
//------------------------------------------------------------------------------
