//------------------------------------------------------------------------------
//	$Id: simpson2.js,v 1.4 2018/10/03 17:37:22 wolf Exp $
//------------------------------------------------------------------------------
//	This program is free software. It comes without any warranty, to
//	the extent permitted by applicable law. You can redistribute it
//	and/or modify it under the terms of the Do What The Fuck You Want
//	To Public License, Version 2, as published by Sam Hocevar. See
//	http://www.wtfpl.net/ for more details.
//------------------------------------------------------------------------------

/*jsl:option explicit*/
/*jsl:import simpson.js*/

var example2 = SIMPSON.create ('simpson', {

	'tableName': 'Lehrergeh\xe4lter',

	'groupName': 'Gender',
	'functionName': 'Beruf',
	'valueName': 'Gehalt',

	'minCount': 0,
	'maxCount': 100,
	'minValue': 1,
	'maxValue': 8000,

	'groupFirst': true,
	'withRowSum': false,

	'labelCnt': 'Zahl',
	'labelSum': 'Gesamt',
	'labelAvg': 'Schnitt',
	'labelAllGroups': 'gesamt',
	'labelAllFunctions': 'Lehrer gesamt',

	'groups': [{
		'name': 'Frauen',
		'style': 'background-color: pink'
		}, {
		'name': 'M\xe4nner',
		'style': 'background-color: lightblue'
		}],
	'functions': [{
		'name':  'Grundschullehrer',
		'count': 50,
		'value': 1000
		}, {
		'name':  'Gymnasiallehrer',
		'count': 50,
		'value': 2000
		}],
	'digits': 2
});

document.getElementById('f0w50m50').onclick = function () {

	example2.setCounts(0, 50);
};

document.getElementById('f0w80m20').onclick = function () {

	example2.setCounts(0, [80, 20]);
};

document.getElementById('f0w20m80').onclick = function () {

	example2.setCounts(0, [20, 80]);
};

document.getElementById('f1w50m50').onclick = function () {

	example2.setCounts(1, 50);
};

document.getElementById('f1w80m20').onclick = function () {

	example2.setCounts(1, [80, 20]);
};

document.getElementById('f1w20m80').onclick = function () {

	example2.setCounts(1, [20, 80]);
};

document.getElementById('v1000v2000').onclick = function () {

	example2.setValues([1000,2000]);
};

document.getElementById('v1500').onclick = function () {

	example2.setValues(1500);
};

//------------------------------------------------------------------------------
//	$Id: simpson2.js,v 1.4 2018/10/03 17:37:22 wolf Exp $
//------------------------------------------------------------------------------
